<?php

namespace EventPortal\Domain\Form\Facades;

// phpcs:disable SlevomatCodingStandard.Namespaces.UnusedUses.UnusedUse
use EventPortal\Domain\Event\Form\Models\Form as FormModel;
use EventPortal\Domain\Event\Form\Models\FormStep;
use EventPortal\Domain\Form\Form as FormFactory;
use EventPortal\Domain\Form\FormRegistry;
use Illuminate\Support\Facades\Facade;

// phpcs:enable

/**
 * @method FormFactory make(string $formName)
 * @method FormFactory makeFromDatabase(FormModel $form, ?FormStep $step = null)
 * @method FormFactory validate(array $input)
 * @method FormFactory addFields(callable $fields)
 * @method FormFactory addActions(callable $actions)
 * @method FormFactory addPrimaryAction(callable $primaryAction)
 * @method FormFactory model(\Illuminate\Database\Eloquent\Model $model)
 * @method FormFactory context(array $models)
 * @method FormFactory handle(array $input)
 */
class Form extends Facade
{
    protected static function getFacadeAccessor(): string
    {
        return FormRegistry::class;
    }
}
