<?php

namespace EventPortal\Domain\Template\Actions;

use EventPortal\Contracts\Event;
use EventPortal\Domain\Template\Contracts\FormAreaContract;
use EventPortal\Domain\Template\Models\Template;
use Illuminate\Support\Arr;

class CreateEventFromTemplate
{
    public function execute(Template $template): Event
    {
        $eventArea = resolve(FormAreaContract::class);

        $areaData = Arr::get($template->areas, get_class($eventArea));

        $event = $eventArea->toModel($areaData);

        session()->put('eventTemplate', $event);

        return $event;
    }
}
