<?php

namespace EventPortal\Domain\Template\Areas;

use EventPortal\Contracts\Event;
use EventPortal\Domain\Email\Models\EventEmail;
use Illuminate\Support\Arr;

class EmailArea extends BaseArea
{
    public function fromModel(Event $event): array
    {
        return $event
            ->emails
            ->map(function (EventEmail $eventEmail) {
                return [
                    'type' => $eventEmail->type,
                    'subject' => $eventEmail->subject,
                    'reply_to_address' => $eventEmail->reply_to_address,
                ];
            })
            ->toArray();
    }

    public function toModel(Event $event, array $data): array
    {
        $emails = [];

        foreach ($data as $email) {
            $emails[] = EventEmail::create([
                'event_id' => $event->id,
                'type' => Arr::get($email, 'type'),
                'subject' => Arr::get($email, 'subject'),
                'reply_to_address' => Arr::get($email, 'reply_to_address'),
            ]);
        }

        return $emails;
    }
}
