<?php

namespace EventPortal\Domain\Template\Areas;

use EventPortal\Contracts\Event;
use EventPortal\Contracts\Event as EventModel;
use Illuminate\Support\Arr;

class EventArea extends BaseArea
{
    public function fromModel(EventModel $event): array
    {
        return [
            'snippet' => $event->snippet,
            'description' => $event->description,
            'is_virtual' => $event->is_virtual,
            'broadcast_url' => $event->broadcast_url,
            'email' => $event->email,
        ];
    }

    public function toModel(array $data): Event
    {
        return resolve(Event::class)->fill([
            'email' => Arr::get($data, 'email'),
            'snippet' => Arr::get($data, 'snippet'),
            'description' => Arr::get($data, 'description'),
            'is_virtual' => Arr::get($data, 'is_virtual'),
            'broadcast_url' => Arr::get($data, 'broadcast_url'),
        ]);
    }
}
