<?php

namespace EventPortal\Domain\Template\Areas;

use EventPortal\Contracts\Event;
use EventPortal\Domain\Email\Models\EventEmail;
use EventPortal\Domain\Event\Form\Models\Form;
use EventPortal\Domain\Event\Form\Models\FormStep;
use EventPortal\Domain\Event\Form\Models\FormStepSection;
use Illuminate\Support\Arr;

class FormArea extends BaseArea
{
    public function fromModel(Event $event): array
    {
        return $event
            ->forms
            ->map(function (Form $form) {
                $data = [
                    'type' => $form->type,
                    'name' => $form->name,
                    'slug' => $form->slug,
                ];

                $data['steps'] = $form
                    ->steps
                    ->map(function (FormStep $step) {
                        $data = [
                            'name' => $step->name,
                            'order' => $step->order,
                        ];

                        $data ['sections'] = $step
                            ->sections
                            ->map(function (FormStepSection $section) {
                                dd($section);
                                return [];
                            });

                        return $data;
                    });

                dd($form->steps);

                dd($data);

                return $data;
            })
            ->toArray();
    }

    public function toModel(Event $event, array $data): array
    {
        $emails = [];

        foreach ($data as $email) {
            $emails[] = EventEmail::create([
                'event_id' => $event->id,
                'type' => Arr::get($email, 'type'),
                'subject' => Arr::get($email, 'subject'),
                'reply_to_address' => Arr::get($email, 'reply_to_address'),
            ]);
        }

        return $emails;
    }
}
