<?php

namespace EventPortal\Domain\Template\Handlers;

use Closure;
use EventPortal\Contracts\Event;
use EventPortal\Domain\Form\Payload;
use EventPortal\Domain\Template\Contracts\FormAreaContract;
use EventPortal\Domain\Template\Models\Template;
use Illuminate\Support\Arr;

class StoreTemplate
{
    /**
     * @return mixed
     */
    public function __invoke(Payload $payload, Closure $next)
    {
        $template = Template::create(['name' => $payload->getInput('name')]);

        $this->storeAreas($payload->getInput(), $payload->getModel(), $template);

        return $next($payload);
    }

    private function storeAreas(array $input, Event $event, Template $template): void
    {
        $areas = $input['areas'] ?? [];

        $class = get_class(resolve(FormAreaContract::class));

        $areas = array_merge(Arr::pluck($areas, 'value'), [$class]);

        foreach (array_filter($areas) as $areaClass) {
            $data = (new $areaClass())->fromModel($event);

            $template->addArea($areaClass, $data);
        }
    }
}
