<?php

namespace EventPortal\Http\Controllers\Admin\Event;

use EventPortal\Domain\Util\AdminRender;
use EventPortal\Domain\Util\Breadcrumb;
use EventPortal\Http\Controllers\Controller;
use Inertia\Response;

class CreateEventController extends Controller
{
    public function __invoke(): Response
    {
        $breadcrumbs = Breadcrumb::make()
            ->add('Events', route('admin.event.index'))
            ->add('Create an event')
            ->get();

        return AdminRender::component('Admin/Event/Create')
            ->key('event.create')
            ->withBreadcrumbs($breadcrumbs)
            ->get();
    }
}
