<?php

namespace EventPortal\Http\Controllers\Admin\Template;

use EventPortal\Contracts\Event;
use EventPortal\Domain\Form\Facades\Form;
use EventPortal\Http\Controllers\Controller;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;

class StoreTemplateController extends Controller
{
    public function __invoke(Request $request, Event $event): RedirectResponse
    {
        Form::make('event.create-template')
            ->model($event)
            ->validate($request->all())
            ->handle($request->all());

        toast()->success('template created');

        return redirect()->route('admin.event.index');
    }
}
