<?php

namespace EventPortal\Tests\Unit\Template\Actions;

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Template\Actions\CreateEventFromTemplate;
use EventPortal\Domain\Template\Areas\EventArea;
use EventPortal\Domain\Template\Models\Template;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\RefreshDatabase;

class CreateEventFromTemplateTest extends TestCase
{
    use RefreshDatabase;

    /** @test **/
    public function yeet()
    {
        $event = factory(Event::class)->create();

        $template = factory(Template::class)->create([
            'data' => [
                EventArea::class => [
                    'email' => 'event@example.com',
                    'description' => 'This is the description',
                    'snippet' => 'This is the snippet',
                    'is_virtual' => '{"label":"Yes","value":1}',
                    'broadcast_type' => '{"label":"Teams","value":"teams"}',
                    'broadcast_url' => 'http://google.com',
                ],
            ],
        ]);

        $action = new CreateEventFromTemplate();

        $event = $action->execute($template);

        dd($event);
    }
}
